%
% Sung-eui Yoon, KAIST
% Mar, 2016
%
% Test MC estimator, \int 4 x^3
%

% run MC estimations
if 1 
    
clear;
MaxN = 100; % # of MC samples 
MaxEST = 600; % # of MC estimations.
Idx = 1:MaxN;
Ones = ones ([MaxN, 1]);

est = ones (MaxN, MaxN);

% run MC estimations
for i = 1:MaxEST
    est (i,:) = mc_int (MaxN);
end

%Estimation = est (:,MaxN) - Ones;
%Estimation = est (:,MaxN);
for i = 1:MaxN
    %Var (i) = var (Estimation (1:i));
    Mean (i) = mean (est(:,i)); % mean of estimations with i samples
    Var (i) = var (est (:,i)); % var. of estimations with i samples
    
end 

end

%plot (Idx (2:), est (2:), Idx (2:), Var (2:) )
figure;
s(1) = subplot (4, 1, 1);
s(2) = subplot (4, 1, 2);
s(3) = subplot (4, 1, 3);
s(4) = subplot (4, 1, 4);

plot (s(1), Idx, est (1,:), 'Linewidth', 2); % first estimation
plot (s(2), Idx, est (2,:), 'Linewidth', 2); % second estimation
%plot (s(2), Idx, est (2,:));
%plot (s(3), Idx, est (3,:));
plot (s(3), Idx, Mean, 'Linewidth', 2);
plot (s(4), Idx, Var, 'Linewidth', 2);
    %Idx, Var, '--o');
    %plot (Idx, Var)
xlim (s(1), [1 MaxN])
ylim (s(1), [0 2])

xlim (s(2), [1 MaxN])
ylim (s(2), [0 2])

xlim (s(3), [1 MaxN])
ylim (s(3), [0 2])

xlim (s(4), [1 MaxN])

ylabel (s(1), '1st MC estimation')    
ylabel (s(2), '2nd MC estimation')    

str = [ {'Mean'} {'of MC estimators'}];

%ylabel (s(3), 'Mean \\ of MC estimators')    
ylabel (s(3), str)    

str = [ {'Variance'} {'of MC estimators'}];
ylabel (s(4), str)    

xlabel (s(4), 'Number of samples')
%xlabel (s(4), 'Number of MC estimations')


